Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 06 Sep 2020 06:10:31 +0000

Hi Algaili Abdelbagee Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Kindly be informed that I have not accepted an item that was delivered to me and returned it back with the same delivery employees because the box is not in a good shape, it has been opened and looked old or probably was on display and then sold to me!! 

Therefore I was not willing to keep it inside my home the package was filthy!! I’m used to home center service that really cares about quality and customer satisfaction this was definitely not a Home Center image that I’m used to and it was for sure not acceptable.

Your cooperation in issuing a refund of the amount (K.D. 16.000) will be highly valued. Thanks and regards. Shoug

iOS Version: 13.6.1
App Version: 9.1.11 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1455127